import { Legend as VgLegend, LegendEncode } from 'vega';
import { Config } from '../../config';
import { Model } from '../model';
import { LegendComponent } from './component';
export declare function assembleLegends(model: Model): VgLegend[];
export declare function assembleLegend(legendCmpt: LegendComponent, config: Config): {
    size?: string;
    shape?: string;
    fill?: string;
    stroke?: string;
    strokeDash?: string;
    strokeWidth?: string;
    opacity?: string;
    type?: import("vega").LegendType;
    direction?: import("vega").Orientation;
    format?: string | import("vega").SignalRef | import("vega").TimeFormatSpecifier;
    formatType?: "number" | import("vega").SignalRef | "time" | "utc";
    title?: string | string[] | import("vega").SignalRef;
    tickMinStep?: number | import("vega").SignalRef;
    values?: any[] | import("vega").SignalRef;
    encode?: LegendEncode;
    orient?: import("vega").SignalRef | "none" | "left" | "right" | "top" | "bottom" | "top-left" | "top-right" | "bottom-left" | "bottom-right";
    symbolLimit?: number | {
        exponent?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        mult?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        offset?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        round?: boolean;
        extra?: boolean;
    } | (import("vega").SignalRef & {
        exponent?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        mult?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        offset?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        round?: boolean;
        extra?: boolean;
    }) | ({
        field: import("vega").Field;
    } & {
        exponent?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        mult?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        offset?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        round?: boolean;
        extra?: boolean;
    }) | ({
        scale: import("vega").Field;
        value: string | number | boolean;
    } & {
        exponent?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        mult?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        offset?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        round?: boolean;
        extra?: boolean;
    }) | ({
        scale: import("vega").Field;
        field: import("vega").Field;
    } & {
        exponent?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        mult?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        offset?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        round?: boolean;
        extra?: boolean;
    }) | ({
        scale: import("vega").Field;
        band: number | boolean;
    } & {
        exponent?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        mult?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        offset?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        round?: boolean;
        extra?: boolean;
    }) | ({
        scale: import("vega").Field;
        range: number | boolean;
    } & {
        exponent?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        mult?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        offset?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        round?: boolean;
        extra?: boolean;
    }) | ({
        value: number;
    } & {
        exponent?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        mult?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        offset?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        round?: boolean;
        extra?: boolean;
    });
    tickCount?: import("vega").TickCount;
    aria?: boolean;
    description?: string;
    cornerRadius?: number | {
        exponent?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        mult?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        offset?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        round?: boolean;
        extra?: boolean;
    } | (import("vega").SignalRef & {
        exponent?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        mult?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        offset?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        round?: boolean;
        extra?: boolean;
    }) | ({
        field: import("vega").Field;
    } & {
        exponent?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        mult?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        offset?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        round?: boolean;
        extra?: boolean;
    }) | ({
        scale: import("vega").Field;
        value: string | number | boolean;
    } & {
        exponent?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        mult?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        offset?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        round?: boolean;
        extra?: boolean;
    }) | ({
        scale: import("vega").Field;
        field: import("vega").Field;
    } & {
        exponent?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        mult?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        offset?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        round?: boolean;
        extra?: boolean;
    }) | ({
        scale: import("vega").Field;
        band: number | boolean;
    } & {
        exponent?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        mult?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        offset?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        round?: boolean;
        extra?: boolean;
    }) | ({
        scale: import("vega").Field;
        range: number | boolean;
    } & {
        exponent?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        mult?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        offset?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        round?: boolean;
        extra?: boolean;
    }) | ({
        value: number;
    } & {
        exponent?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        mult?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        offset?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        round?: boolean;
        extra?: boolean;
    });
    fillColor?: import("vega").ColorValue;
    offset?: number | {
        exponent?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        mult?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        offset?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        round?: boolean;
        extra?: boolean;
    } | (import("vega").SignalRef & {
        exponent?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        mult?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        offset?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        round?: boolean;
        extra?: boolean;
    }) | ({
        field: import("vega").Field;
    } & {
        exponent?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        mult?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        offset?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        round?: boolean;
        extra?: boolean;
    }) | ({
        scale: import("vega").Field;
        value: string | number | boolean;
    } & {
        exponent?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        mult?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        offset?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        round?: boolean;
        extra?: boolean;
    }) | ({
        scale: import("vega").Field;
        field: import("vega").Field;
    } & {
        exponent?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        mult?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        offset?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        round?: boolean;
        extra?: boolean;
    }) | ({
        scale: import("vega").Field;
        band: number | boolean;
    } & {
        exponent?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        mult?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        offset?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        round?: boolean;
        extra?: boolean;
    }) | ({
        scale: import("vega").Field;
        range: number | boolean;
    } & {
        exponent?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        mult?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        offset?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        round?: boolean;
        extra?: boolean;
    }) | ({
        value: number;
    } & {
        exponent?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        mult?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        offset?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        round?: boolean;
        extra?: boolean;
    });
    padding?: number | {
        exponent?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        mult?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        offset?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        round?: boolean;
        extra?: boolean;
    } | (import("vega").SignalRef & {
        exponent?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        mult?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        offset?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        round?: boolean;
        extra?: boolean;
    }) | ({
        field: import("vega").Field;
    } & {
        exponent?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        mult?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        offset?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        round?: boolean;
        extra?: boolean;
    }) | ({
        scale: import("vega").Field;
        value: string | number | boolean;
    } & {
        exponent?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        mult?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        offset?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        round?: boolean;
        extra?: boolean;
    }) | ({
        scale: import("vega").Field;
        field: import("vega").Field;
    } & {
        exponent?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        mult?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        offset?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        round?: boolean;
        extra?: boolean;
    }) | ({
        scale: import("vega").Field;
        band: number | boolean;
    } & {
        exponent?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        mult?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        offset?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        round?: boolean;
        extra?: boolean;
    }) | ({
        scale: import("vega").Field;
        range: number | boolean;
    } & {
        exponent?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        mult?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        offset?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        round?: boolean;
        extra?: boolean;
    }) | ({
        value: number;
    } & {
        exponent?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        mult?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        offset?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        round?: boolean;
        extra?: boolean;
    });
    strokeColor?: import("vega").ColorValue;
    legendX?: number | {
        exponent?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        mult?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        offset?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        round?: boolean;
        extra?: boolean;
    } | (import("vega").SignalRef & {
        exponent?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        mult?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        offset?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        round?: boolean;
        extra?: boolean;
    }) | ({
        field: import("vega").Field;
    } & {
        exponent?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        mult?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        offset?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        round?: boolean;
        extra?: boolean;
    }) | ({
        scale: import("vega").Field;
        value: string | number | boolean;
    } & {
        exponent?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        mult?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        offset?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        round?: boolean;
        extra?: boolean;
    }) | ({
        scale: import("vega").Field;
        field: import("vega").Field;
    } & {
        exponent?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        mult?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        offset?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        round?: boolean;
        extra?: boolean;
    }) | ({
        scale: import("vega").Field;
        band: number | boolean;
    } & {
        exponent?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        mult?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        offset?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        round?: boolean;
        extra?: boolean;
    }) | ({
        scale: import("vega").Field;
        range: number | boolean;
    } & {
        exponent?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        mult?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        offset?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        round?: boolean;
        extra?: boolean;
    }) | ({
        value: number;
    } & {
        exponent?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        mult?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        offset?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        round?: boolean;
        extra?: boolean;
    });
    legendY?: number | {
        exponent?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        mult?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        offset?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        round?: boolean;
        extra?: boolean;
    } | (import("vega").SignalRef & {
        exponent?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        mult?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        offset?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        round?: boolean;
        extra?: boolean;
    }) | ({
        field: import("vega").Field;
    } & {
        exponent?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        mult?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        offset?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        round?: boolean;
        extra?: boolean;
    }) | ({
        scale: import("vega").Field;
        value: string | number | boolean;
    } & {
        exponent?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        mult?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        offset?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        round?: boolean;
        extra?: boolean;
    }) | ({
        scale: import("vega").Field;
        field: import("vega").Field;
    } & {
        exponent?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        mult?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        offset?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        round?: boolean;
        extra?: boolean;
    }) | ({
        scale: import("vega").Field;
        band: number | boolean;
    } & {
        exponent?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        mult?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        offset?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        round?: boolean;
        extra?: boolean;
    }) | ({
        scale: import("vega").Field;
        range: number | boolean;
    } & {
        exponent?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        mult?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        offset?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        round?: boolean;
        extra?: boolean;
    }) | ({
        value: number;
    } & {
        exponent?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        mult?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        offset?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        round?: boolean;
        extra?: boolean;
    });
    titleAlign?: import("vega").AlignValue;
    titleAnchor?: import("vega").AnchorValue;
    titleBaseline?: import("vega").TextBaselineValue;
    titleColor?: import("vega").ColorValue;
    titleFont?: import("vega").StringValue;
    titleFontSize?: number | {
        exponent?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        mult?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        offset?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        round?: boolean;
        extra?: boolean;
    } | (import("vega").SignalRef & {
        exponent?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        mult?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        offset?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        round?: boolean;
        extra?: boolean;
    }) | ({
        field: import("vega").Field;
    } & {
        exponent?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        mult?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        offset?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        round?: boolean;
        extra?: boolean;
    }) | ({
        scale: import("vega").Field;
        value: string | number | boolean;
    } & {
        exponent?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        mult?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        offset?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        round?: boolean;
        extra?: boolean;
    }) | ({
        scale: import("vega").Field;
        field: import("vega").Field;
    } & {
        exponent?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        mult?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        offset?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        round?: boolean;
        extra?: boolean;
    }) | ({
        scale: import("vega").Field;
        band: number | boolean;
    } & {
        exponent?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        mult?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        offset?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        round?: boolean;
        extra?: boolean;
    }) | ({
        scale: import("vega").Field;
        range: number | boolean;
    } & {
        exponent?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        mult?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        offset?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        round?: boolean;
        extra?: boolean;
    }) | ({
        value: number;
    } & {
        exponent?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        mult?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        offset?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        round?: boolean;
        extra?: boolean;
    });
    titleFontStyle?: import("vega").StringValue;
    titleFontWeight?: import("vega").FontWeightValue;
    titleLimit?: number | {
        exponent?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        mult?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        offset?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        round?: boolean;
        extra?: boolean;
    } | (import("vega").SignalRef & {
        exponent?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        mult?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        offset?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        round?: boolean;
        extra?: boolean;
    }) | ({
        field: import("vega").Field;
    } & {
        exponent?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        mult?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        offset?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        round?: boolean;
        extra?: boolean;
    }) | ({
        scale: import("vega").Field;
        value: string | number | boolean;
    } & {
        exponent?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        mult?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        offset?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        round?: boolean;
        extra?: boolean;
    }) | ({
        scale: import("vega").Field;
        field: import("vega").Field;
    } & {
        exponent?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        mult?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        offset?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        round?: boolean;
        extra?: boolean;
    }) | ({
        scale: import("vega").Field;
        band: number | boolean;
    } & {
        exponent?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        mult?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        offset?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        round?: boolean;
        extra?: boolean;
    }) | ({
        scale: import("vega").Field;
        range: number | boolean;
    } & {
        exponent?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        mult?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        offset?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        round?: boolean;
        extra?: boolean;
    }) | ({
        value: number;
    } & {
        exponent?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        mult?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        offset?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        round?: boolean;
        extra?: boolean;
    });
    titleLineHeight?: number | {
        exponent?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        mult?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        offset?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        round?: boolean;
        extra?: boolean;
    } | (import("vega").SignalRef & {
        exponent?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        mult?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        offset?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        round?: boolean;
        extra?: boolean;
    }) | ({
        field: import("vega").Field;
    } & {
        exponent?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        mult?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        offset?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        round?: boolean;
        extra?: boolean;
    }) | ({
        scale: import("vega").Field;
        value: string | number | boolean;
    } & {
        exponent?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        mult?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        offset?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        round?: boolean;
        extra?: boolean;
    }) | ({
        scale: import("vega").Field;
        field: import("vega").Field;
    } & {
        exponent?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        mult?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        offset?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        round?: boolean;
        extra?: boolean;
    }) | ({
        scale: import("vega").Field;
        band: number | boolean;
    } & {
        exponent?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        mult?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        offset?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        round?: boolean;
        extra?: boolean;
    }) | ({
        scale: import("vega").Field;
        range: number | boolean;
    } & {
        exponent?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        mult?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        offset?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        round?: boolean;
        extra?: boolean;
    }) | ({
        value: number;
    } & {
        exponent?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        mult?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        offset?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        round?: boolean;
        extra?: boolean;
    });
    titleOpacity?: number | {
        exponent?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        mult?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        offset?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        round?: boolean;
        extra?: boolean;
    } | (import("vega").SignalRef & {
        exponent?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        mult?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        offset?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        round?: boolean;
        extra?: boolean;
    }) | ({
        field: import("vega").Field;
    } & {
        exponent?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        mult?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        offset?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        round?: boolean;
        extra?: boolean;
    }) | ({
        scale: import("vega").Field;
        value: string | number | boolean;
    } & {
        exponent?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        mult?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        offset?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        round?: boolean;
        extra?: boolean;
    }) | ({
        scale: import("vega").Field;
        field: import("vega").Field;
    } & {
        exponent?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        mult?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        offset?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        round?: boolean;
        extra?: boolean;
    }) | ({
        scale: import("vega").Field;
        band: number | boolean;
    } & {
        exponent?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        mult?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        offset?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        round?: boolean;
        extra?: boolean;
    }) | ({
        scale: import("vega").Field;
        range: number | boolean;
    } & {
        exponent?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        mult?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        offset?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        round?: boolean;
        extra?: boolean;
    }) | ({
        value: number;
    } & {
        exponent?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        mult?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        offset?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        round?: boolean;
        extra?: boolean;
    });
    titleOrient?: import("vega").OrientValue;
    titlePadding?: number | {
        exponent?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        mult?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        offset?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        round?: boolean;
        extra?: boolean;
    } | (import("vega").SignalRef & {
        exponent?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        mult?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        offset?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        round?: boolean;
        extra?: boolean;
    }) | ({
        field: import("vega").Field;
    } & {
        exponent?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        mult?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        offset?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        round?: boolean;
        extra?: boolean;
    }) | ({
        scale: import("vega").Field;
        value: string | number | boolean;
    } & {
        exponent?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        mult?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        offset?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        round?: boolean;
        extra?: boolean;
    }) | ({
        scale: import("vega").Field;
        field: import("vega").Field;
    } & {
        exponent?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        mult?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        offset?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        round?: boolean;
        extra?: boolean;
    }) | ({
        scale: import("vega").Field;
        band: number | boolean;
    } & {
        exponent?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        mult?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        offset?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        round?: boolean;
        extra?: boolean;
    }) | ({
        scale: import("vega").Field;
        range: number | boolean;
    } & {
        exponent?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        mult?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        offset?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        round?: boolean;
        extra?: boolean;
    }) | ({
        value: number;
    } & {
        exponent?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        mult?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        offset?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        round?: boolean;
        extra?: boolean;
    });
    gradientLength?: number | import("vega").SignalRef;
    gradientOpacity?: number | {
        exponent?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        mult?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        offset?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        round?: boolean;
        extra?: boolean;
    } | (import("vega").SignalRef & {
        exponent?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        mult?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        offset?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        round?: boolean;
        extra?: boolean;
    }) | ({
        field: import("vega").Field;
    } & {
        exponent?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        mult?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        offset?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        round?: boolean;
        extra?: boolean;
    }) | ({
        scale: import("vega").Field;
        value: string | number | boolean;
    } & {
        exponent?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        mult?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        offset?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        round?: boolean;
        extra?: boolean;
    }) | ({
        scale: import("vega").Field;
        field: import("vega").Field;
    } & {
        exponent?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        mult?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        offset?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        round?: boolean;
        extra?: boolean;
    }) | ({
        scale: import("vega").Field;
        band: number | boolean;
    } & {
        exponent?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        mult?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        offset?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        round?: boolean;
        extra?: boolean;
    }) | ({
        scale: import("vega").Field;
        range: number | boolean;
    } & {
        exponent?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        mult?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        offset?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        round?: boolean;
        extra?: boolean;
    }) | ({
        value: number;
    } & {
        exponent?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        mult?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        offset?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        round?: boolean;
        extra?: boolean;
    });
    gradientThickness?: number | import("vega").SignalRef;
    gradientStrokeColor?: import("vega").ColorValue;
    gradientStrokeWidth?: number | {
        exponent?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        mult?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        offset?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        round?: boolean;
        extra?: boolean;
    } | (import("vega").SignalRef & {
        exponent?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        mult?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        offset?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        round?: boolean;
        extra?: boolean;
    }) | ({
        field: import("vega").Field;
    } & {
        exponent?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        mult?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        offset?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        round?: boolean;
        extra?: boolean;
    }) | ({
        scale: import("vega").Field;
        value: string | number | boolean;
    } & {
        exponent?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        mult?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        offset?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        round?: boolean;
        extra?: boolean;
    }) | ({
        scale: import("vega").Field;
        field: import("vega").Field;
    } & {
        exponent?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        mult?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        offset?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        round?: boolean;
        extra?: boolean;
    }) | ({
        scale: import("vega").Field;
        band: number | boolean;
    } & {
        exponent?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        mult?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        offset?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        round?: boolean;
        extra?: boolean;
    }) | ({
        scale: import("vega").Field;
        range: number | boolean;
    } & {
        exponent?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        mult?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        offset?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        round?: boolean;
        extra?: boolean;
    }) | ({
        value: number;
    } & {
        exponent?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        mult?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        offset?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        round?: boolean;
        extra?: boolean;
    });
    clipHeight?: number | import("vega").SignalRef;
    columns?: number | import("vega").SignalRef;
    columnPadding?: number | import("vega").SignalRef;
    rowPadding?: number | import("vega").SignalRef;
    gridAlign?: import("vega").SignalRef | "none" | "all" | "each";
    symbolDash?: import("vega").DashArrayValue;
    symbolDashOffset?: number | {
        exponent?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        mult?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        offset?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        round?: boolean;
        extra?: boolean;
    } | (import("vega").SignalRef & {
        exponent?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        mult?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        offset?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        round?: boolean;
        extra?: boolean;
    }) | ({
        field: import("vega").Field;
    } & {
        exponent?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        mult?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        offset?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        round?: boolean;
        extra?: boolean;
    }) | ({
        scale: import("vega").Field;
        value: string | number | boolean;
    } & {
        exponent?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        mult?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        offset?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        round?: boolean;
        extra?: boolean;
    }) | ({
        scale: import("vega").Field;
        field: import("vega").Field;
    } & {
        exponent?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        mult?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        offset?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        round?: boolean;
        extra?: boolean;
    }) | ({
        scale: import("vega").Field;
        band: number | boolean;
    } & {
        exponent?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        mult?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        offset?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        round?: boolean;
        extra?: boolean;
    }) | ({
        scale: import("vega").Field;
        range: number | boolean;
    } & {
        exponent?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        mult?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        offset?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        round?: boolean;
        extra?: boolean;
    }) | ({
        value: number;
    } & {
        exponent?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        mult?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        offset?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        round?: boolean;
        extra?: boolean;
    });
    symbolFillColor?: import("vega").ColorValue;
    symbolOffset?: number | {
        exponent?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        mult?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        offset?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        round?: boolean;
        extra?: boolean;
    } | (import("vega").SignalRef & {
        exponent?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        mult?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        offset?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        round?: boolean;
        extra?: boolean;
    }) | ({
        field: import("vega").Field;
    } & {
        exponent?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        mult?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        offset?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        round?: boolean;
        extra?: boolean;
    }) | ({
        scale: import("vega").Field;
        value: string | number | boolean;
    } & {
        exponent?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        mult?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        offset?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        round?: boolean;
        extra?: boolean;
    }) | ({
        scale: import("vega").Field;
        field: import("vega").Field;
    } & {
        exponent?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        mult?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        offset?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        round?: boolean;
        extra?: boolean;
    }) | ({
        scale: import("vega").Field;
        band: number | boolean;
    } & {
        exponent?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        mult?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        offset?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        round?: boolean;
        extra?: boolean;
    }) | ({
        scale: import("vega").Field;
        range: number | boolean;
    } & {
        exponent?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        mult?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        offset?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        round?: boolean;
        extra?: boolean;
    }) | ({
        value: number;
    } & {
        exponent?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        mult?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        offset?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        round?: boolean;
        extra?: boolean;
    });
    symbolOpacity?: number | {
        exponent?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        mult?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        offset?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        round?: boolean;
        extra?: boolean;
    } | (import("vega").SignalRef & {
        exponent?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        mult?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        offset?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        round?: boolean;
        extra?: boolean;
    }) | ({
        field: import("vega").Field;
    } & {
        exponent?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        mult?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        offset?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        round?: boolean;
        extra?: boolean;
    }) | ({
        scale: import("vega").Field;
        value: string | number | boolean;
    } & {
        exponent?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        mult?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        offset?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        round?: boolean;
        extra?: boolean;
    }) | ({
        scale: import("vega").Field;
        field: import("vega").Field;
    } & {
        exponent?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        mult?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        offset?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        round?: boolean;
        extra?: boolean;
    }) | ({
        scale: import("vega").Field;
        band: number | boolean;
    } & {
        exponent?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        mult?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        offset?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        round?: boolean;
        extra?: boolean;
    }) | ({
        scale: import("vega").Field;
        range: number | boolean;
    } & {
        exponent?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        mult?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        offset?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        round?: boolean;
        extra?: boolean;
    }) | ({
        value: number;
    } & {
        exponent?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        mult?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        offset?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        round?: boolean;
        extra?: boolean;
    });
    symbolSize?: number | {
        exponent?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        mult?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        offset?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        round?: boolean;
        extra?: boolean;
    } | (import("vega").SignalRef & {
        exponent?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        mult?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        offset?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        round?: boolean;
        extra?: boolean;
    }) | ({
        field: import("vega").Field;
    } & {
        exponent?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        mult?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        offset?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        round?: boolean;
        extra?: boolean;
    }) | ({
        scale: import("vega").Field;
        value: string | number | boolean;
    } & {
        exponent?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        mult?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        offset?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        round?: boolean;
        extra?: boolean;
    }) | ({
        scale: import("vega").Field;
        field: import("vega").Field;
    } & {
        exponent?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        mult?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        offset?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        round?: boolean;
        extra?: boolean;
    }) | ({
        scale: import("vega").Field;
        band: number | boolean;
    } & {
        exponent?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        mult?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        offset?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        round?: boolean;
        extra?: boolean;
    }) | ({
        scale: import("vega").Field;
        range: number | boolean;
    } & {
        exponent?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        mult?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        offset?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        round?: boolean;
        extra?: boolean;
    }) | ({
        value: number;
    } & {
        exponent?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        mult?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        offset?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        round?: boolean;
        extra?: boolean;
    });
    symbolStrokeColor?: import("vega").ColorValue;
    symbolStrokeWidth?: number | {
        exponent?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        mult?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        offset?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        round?: boolean;
        extra?: boolean;
    } | (import("vega").SignalRef & {
        exponent?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        mult?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        offset?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        round?: boolean;
        extra?: boolean;
    }) | ({
        field: import("vega").Field;
    } & {
        exponent?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        mult?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        offset?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        round?: boolean;
        extra?: boolean;
    }) | ({
        scale: import("vega").Field;
        value: string | number | boolean;
    } & {
        exponent?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        mult?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        offset?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        round?: boolean;
        extra?: boolean;
    }) | ({
        scale: import("vega").Field;
        field: import("vega").Field;
    } & {
        exponent?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        mult?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        offset?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        round?: boolean;
        extra?: boolean;
    }) | ({
        scale: import("vega").Field;
        band: number | boolean;
    } & {
        exponent?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        mult?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        offset?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        round?: boolean;
        extra?: boolean;
    }) | ({
        scale: import("vega").Field;
        range: number | boolean;
    } & {
        exponent?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        mult?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        offset?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        round?: boolean;
        extra?: boolean;
    }) | ({
        value: number;
    } & {
        exponent?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        mult?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        offset?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        round?: boolean;
        extra?: boolean;
    });
    symbolType?: import("vega").StringValue;
    labelAlign?: import("vega").AlignValue;
    labelBaseline?: import("vega").TextBaselineValue;
    labelColor?: import("vega").ColorValue;
    labelFont?: import("vega").StringValue;
    labelFontSize?: number | {
        exponent?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        mult?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        offset?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        round?: boolean;
        extra?: boolean;
    } | (import("vega").SignalRef & {
        exponent?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        mult?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        offset?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        round?: boolean;
        extra?: boolean;
    }) | ({
        field: import("vega").Field;
    } & {
        exponent?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        mult?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        offset?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        round?: boolean;
        extra?: boolean;
    }) | ({
        scale: import("vega").Field;
        value: string | number | boolean;
    } & {
        exponent?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        mult?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        offset?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        round?: boolean;
        extra?: boolean;
    }) | ({
        scale: import("vega").Field;
        field: import("vega").Field;
    } & {
        exponent?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        mult?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        offset?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        round?: boolean;
        extra?: boolean;
    }) | ({
        scale: import("vega").Field;
        band: number | boolean;
    } & {
        exponent?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        mult?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        offset?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        round?: boolean;
        extra?: boolean;
    }) | ({
        scale: import("vega").Field;
        range: number | boolean;
    } & {
        exponent?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        mult?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        offset?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        round?: boolean;
        extra?: boolean;
    }) | ({
        value: number;
    } & {
        exponent?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        mult?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        offset?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        round?: boolean;
        extra?: boolean;
    });
    labelFontStyle?: import("vega").StringValue;
    labelFontWeight?: import("vega").FontWeightValue;
    labelLimit?: number | {
        exponent?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        mult?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        offset?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        round?: boolean;
        extra?: boolean;
    } | (import("vega").SignalRef & {
        exponent?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        mult?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        offset?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        round?: boolean;
        extra?: boolean;
    }) | ({
        field: import("vega").Field;
    } & {
        exponent?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        mult?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        offset?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        round?: boolean;
        extra?: boolean;
    }) | ({
        scale: import("vega").Field;
        value: string | number | boolean;
    } & {
        exponent?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        mult?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        offset?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        round?: boolean;
        extra?: boolean;
    }) | ({
        scale: import("vega").Field;
        field: import("vega").Field;
    } & {
        exponent?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        mult?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        offset?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        round?: boolean;
        extra?: boolean;
    }) | ({
        scale: import("vega").Field;
        band: number | boolean;
    } & {
        exponent?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        mult?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        offset?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        round?: boolean;
        extra?: boolean;
    }) | ({
        scale: import("vega").Field;
        range: number | boolean;
    } & {
        exponent?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        mult?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        offset?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        round?: boolean;
        extra?: boolean;
    }) | ({
        value: number;
    } & {
        exponent?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        mult?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        offset?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        round?: boolean;
        extra?: boolean;
    });
    labelOpacity?: number | {
        exponent?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        mult?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        offset?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        round?: boolean;
        extra?: boolean;
    } | (import("vega").SignalRef & {
        exponent?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        mult?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        offset?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        round?: boolean;
        extra?: boolean;
    }) | ({
        field: import("vega").Field;
    } & {
        exponent?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        mult?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        offset?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        round?: boolean;
        extra?: boolean;
    }) | ({
        scale: import("vega").Field;
        value: string | number | boolean;
    } & {
        exponent?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        mult?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        offset?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        round?: boolean;
        extra?: boolean;
    }) | ({
        scale: import("vega").Field;
        field: import("vega").Field;
    } & {
        exponent?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        mult?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        offset?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        round?: boolean;
        extra?: boolean;
    }) | ({
        scale: import("vega").Field;
        band: number | boolean;
    } & {
        exponent?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        mult?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        offset?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        round?: boolean;
        extra?: boolean;
    }) | ({
        scale: import("vega").Field;
        range: number | boolean;
    } & {
        exponent?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        mult?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        offset?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        round?: boolean;
        extra?: boolean;
    }) | ({
        value: number;
    } & {
        exponent?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        mult?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        offset?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        round?: boolean;
        extra?: boolean;
    });
    labelPadding?: number | {
        exponent?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        mult?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        offset?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        round?: boolean;
        extra?: boolean;
    } | (import("vega").SignalRef & {
        exponent?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        mult?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        offset?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        round?: boolean;
        extra?: boolean;
    }) | ({
        field: import("vega").Field;
    } & {
        exponent?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        mult?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        offset?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        round?: boolean;
        extra?: boolean;
    }) | ({
        scale: import("vega").Field;
        value: string | number | boolean;
    } & {
        exponent?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        mult?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        offset?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        round?: boolean;
        extra?: boolean;
    }) | ({
        scale: import("vega").Field;
        field: import("vega").Field;
    } & {
        exponent?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        mult?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        offset?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        round?: boolean;
        extra?: boolean;
    }) | ({
        scale: import("vega").Field;
        band: number | boolean;
    } & {
        exponent?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        mult?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        offset?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        round?: boolean;
        extra?: boolean;
    }) | ({
        scale: import("vega").Field;
        range: number | boolean;
    } & {
        exponent?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        mult?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        offset?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        round?: boolean;
        extra?: boolean;
    }) | ({
        value: number;
    } & {
        exponent?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        mult?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        offset?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        round?: boolean;
        extra?: boolean;
    });
    labelOffset?: number | {
        exponent?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        mult?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        offset?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        round?: boolean;
        extra?: boolean;
    } | (import("vega").SignalRef & {
        exponent?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        mult?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        offset?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        round?: boolean;
        extra?: boolean;
    }) | ({
        field: import("vega").Field;
    } & {
        exponent?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        mult?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        offset?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        round?: boolean;
        extra?: boolean;
    }) | ({
        scale: import("vega").Field;
        value: string | number | boolean;
    } & {
        exponent?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        mult?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        offset?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        round?: boolean;
        extra?: boolean;
    }) | ({
        scale: import("vega").Field;
        field: import("vega").Field;
    } & {
        exponent?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        mult?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        offset?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        round?: boolean;
        extra?: boolean;
    }) | ({
        scale: import("vega").Field;
        band: number | boolean;
    } & {
        exponent?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        mult?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        offset?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        round?: boolean;
        extra?: boolean;
    }) | ({
        scale: import("vega").Field;
        range: number | boolean;
    } & {
        exponent?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        mult?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        offset?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        round?: boolean;
        extra?: boolean;
    }) | ({
        value: number;
    } & {
        exponent?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        mult?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        offset?: number | any | (import("vega").SignalRef & any) | ({
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            value: string | number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            field: import("vega").Field;
        } & any) | ({
            scale: import("vega").Field;
            band: number | boolean;
        } & any) | ({
            scale: import("vega").Field;
            range: number | boolean;
        } & any) | ({
            value: number;
        } & any);
        round?: boolean;
        extra?: boolean;
    });
    labelOverlap?: boolean | import("vega").SignalRef | "parity" | "greedy";
    labelSeparation?: number | import("vega").SignalRef;
    zindex?: number;
};
//# sourceMappingURL=assemble.d.ts.map